# TooBBA

## Tool for Bilayer in Blocks Analysis (TooBBA)

We introduce a computational tool of analyzing random oriented lipid bilayers derived from MD trajectories and creating a dataset ready to be used in ML algorithms.

The workflow under discussion consists of three distinct steps; (1) the analyzing of the MD trajectories, (2) the creation of the ML ready dataset and (3) the use of the dataset to ML algorithms.  

The tool is written in Python3 programming language and provides a dynamic input interface, that is capable of filling the requirements of each user case. The user have to describe the atom groups and the primary analysis for each group. Moreover, the input interface enables the combination of the results of primary analysis in order to calculate secondary properties for the system. The aforementioned inputs need to be written in python dictionary format. 

In order to address the problem of different oriented and shaped lipid bilayer, which is the result of self assemblage (see Section \ref{cs}), the tool performs a domain decomposition of the final configuration and identifies the atoms that belong to the user defined groups. Each group and domain becomes a sub-system that will be analyzed as a unique MD system. As such, each MD simulation may create more than one sub-systems, hence, instances in the final dataset. By breaking the system to small domains, where the assumption of no curvature, no intersection point etc can be applied, the conformation is treated as an ideal bilayer structure, and a series of MD analysis tools can be used. The resulted dataset can be used as input to ML algorithms, which enable to patterns' identification and gain insights for large and complex bilayer structures.

The tool can load efficiently trajectory and/or topology data from the format used in GROMACS MD simulation tool and use many post-process tools that GROMACS provides, alongside customized calculation (primary or secondary) in order to calculate a series of properties for each sub-system. The structural characteristics that are calculated for each sub-system, are the peaks of density profile, the tilt of the order part of the order part of lipid chain, the peaks of radial distribution function of pairs of lipid groups and the order parameter of lipid chains.

Cite:  Karozis, S; Kainourgiakis, M; "Introduction to a data-driven analysis tool of molecular dynamics self-assembled lipid bilayer trajectories", CEUR Workshop Proceedings, 2844 , pp. 77-79, 2020.

Link: http://ceur-ws.org/Vol-2844/ainst5.pdf